# memset_zone – Creates and deletes Memset DNS zones

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage DNS zones in a Memset account.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | The API key obtained from the Memset control panel.

force
boolean

Choices:
- no ←
- yes

Forces deletion of a zone and all zone domains/zone records it contains.

name - / required |  | The zone nickname; usually the same as the main domain. Ensure this value has at most 250 characters. aliases: nickname

state
- / required

Choices:
- absent
- present

Indicates desired state of resource.

ttl
-

Choices:
- 0
- 300
- 600
- 900
- 1800
- 3600
- 7200
- 10800
- 21600
- 43200
- 86400

The default TTL for all records created in the zone. This must be a valid int from https://www.memset.com/apidocs/methods_dns.html#dns.zone_create.

## Notes

Note

- Zones can be thought of as a logical group of domains, all of which share the same DNS records (i.e. they point to the same IP). An API key generated via the Memset customer control panel is needed with the following minimum scope - dns.zone_create, dns.zone_delete, dns.zone_list.

## Examples

    # Create the zone 'test'
    - name: create zone
      memset_zone:
        name: test
        state: present
        api_key: 5eb86c9196ab03919abcf03857163741
        ttl: 300
      delegate_to: localhost

    # Force zone deletion
    - name: force delete zone
      memset_zone:
        name: test
        state: absent
        api_key: 5eb86c9196ab03919abcf03857163741
        force: true
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
memset_api complex | when state == present | Zone info from the Memset API
| domains list | always | List of domains in this zone
| id string | always | Zone id Sample: b0bb1ce851aeea6feeb2dc32fe83bf9c
| nickname string | always | Zone name Sample: example.com
| records list | always | List of DNS records for domains in this zone
| ttl integer | always | Default TTL for domains in this zone Sample: 300

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Simon Weald (@glitchcrab)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.